kind: pipeline
name: default

steps:
- name: debug
  image: registry.z.xinu.tv/drone/omnibus
  commands:
  - cargo version
  - rustc -V
  - env | sort
  - find $PWD

- name: rtiow
  image: registry.z.xinu.tv/drone/omnibus
  commands:
  - apt-get update && apt-get install -y libgoogle-perftools-dev
  - (cd rtiow && ./build_all_features.sh)
  - (cd rtiow && cargo test --verbose --all)

- name: aobench
  image: registry.z.xinu.tv/drone/omnibus
  commands:
  - (cd aobench && cargo build --verbose --all)
  - (cd aobench && cargo test --verbose --all)

- name: bheisler
  image: registry.z.xinu.tv/drone/omnibus
  commands:
  - (cd bheisler && cargo build --verbose --all)
  - (cd bheisler && cargo test --verbose --all)
